Subject: Re: [PATCH 4/7] Documentation: git-init: --separate-git-dir: clarify

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Aug 2014 10:35:31 -0700

Linus Arver <[email-masked]> writes:

> On Tue, Aug 05, 2014 at 03:12:21PM -0700, Junio C Hamano wrote:
>> Linus Arver <[email-masked]> writes:
>> 
>> > Signed-off-by: Linus Arver <[email-masked]>
>> > ---
>> 
>> You would need to work on your justification skills ;-) in the log
>> message.  What does this change "clarify" and in what way?
>
> Oops, sorry. I guess I should have written some more information in the
> commit message, something like this:
>
>     Use shorter sentences to describe what actually happens. We describe
>     what the term "Git symbolic link" actually means.
>
>     Also, we separate out the description of the behavioral change upon
>     reinitialization into its own paragraph.

Sounds very sensible.

>> >  Documentation/git-init.txt | 12 ++++++------
>> >  1 file changed, 6 insertions(+), 6 deletions(-)
>> >
>> > diff --git a/Documentation/git-init.txt b/Documentation/git-init.txt
>> > index f21b85b..bf0a7ae 100644
>> > --- a/Documentation/git-init.txt
>> > +++ b/Documentation/git-init.txt
>> > @@ -57,12 +57,12 @@ DIRECTORY" section below.)
>> >  
>> >  --separate-git-dir=<git dir>::
>> >  
>> > -Instead of initializing the repository where it is supposed to be,
>> > -place a filesytem-agnostic Git symbolic link there, pointing to the
>> > -specified path, and initialize a Git repository at the path. The
>> > -result is Git repository can be separated from working tree. If this
>> > -is reinitialization, the repository will be moved to the specified
>> > -path.
>> > +Separate the Git repository from your working tree.  Instead of initializing the
>> > +repository as a directory to either `$GIT_DIR` or `./.git/`, create a text file
>> > +there containing the path to the actual repository.  This file acts as
>> > +filesystem-agnostic Git symbolic link to the repository.

While I agree that it is a very good idea to state "what it does,
what it is for" with the very first sentence of the paragraph,
"separate the git repository from your working tree" does not say
much more than the name of the option "--separate-git-dir" already
tells the reader.  And I do not offhand think of a better version
(and obviously I didn't think of any when the current text was
reviewed and committed).  The second sentence in your version is
definitely an improvement over the first and the second sentences of
the original ("where it is supposed to be" does not give any new
information to those who don't know, and does not help those who
already know).

Perhaps we can simply remove the first sentence from your version?

>> > +If this is reinitialization, the repository will be moved to the specified path.
>> >  
>> >  --shared[=(false|true|umask|group|all|world|everybody|0xxx)]::